Queue Model Run
POST
/api/v1/projects/{project_id}/queue
const url = 'https://api.totalview.energy/api/v1/projects/example/queue';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"start_date":"2026-04-15T12:00:00Z","end_date":"2026-04-15T12:00:00Z","analysis_year":1,"customer_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.totalview.energy/api/v1/projects/example/queue \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "start_date": "2026-04-15T12:00:00Z", "end_date": "2026-04-15T12:00:00Z", "analysis_year": 1, "customer_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'Queue a model run for a project.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” project_id
required
Project Id
string
Request Body required
Section titled “Request Body required ” Media type application/json
ModelRunConfig
Configuration for queuing a model run.
Date range is automatically derived based on project type:
- Existing + user profile: dates from profile timestamps
- Existing + SAM profile: requires analysis_year (>= COD year)
- Future: uses GRID_DATA_LAST_YEAR for counterfactual analysis
object
Example generated
{ "start_date": "2026-04-15T12:00:00Z", "end_date": "2026-04-15T12:00:00Z", "analysis_year": 1, "customer_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Responses
Section titled “ Responses ”Successful Response
Media type application/json
Example generated
exampleValidation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}